Altibase.jdbc.driver.spec4

## Class Altibase42PreparedStatement

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseStatement
  - - Altibase.jdbc.driver.AltibasePreparedStatement
    - - Altibase.jdbc.driver.spec4.Altibase42PreparedStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class Altibase42PreparedStatement
    extends AltibasePreparedStatement
    implements java.sql.PreparedStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`mBatchAdded, mBatchJobCount, mBatchRowHandle, mBindColumns, mContext, mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, DEFAULT_UPDATE_COUNT, EMPTY_BATCH_RESULT, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsClosed, mIsDeferred, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`Altibase42PreparedStatement(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `executeLargeBatch()`
`long` `executeLargeUpdate()`
`void` `setArray(int aParameterIndex, java.sql.Array aValue)`
`void` `setBlob(int aParameterIndex, java.io.InputStream aInputStream)`
`void` `setBlob(int aParameterIndex, java.io.InputStream aInputStream, long aLength)`
`void` `setClob(int aParameterIndex, java.io.Reader aReader)`
`void` `setClob(int aParameterIndex, java.io.Reader aReader, long aLength)`
`void` `setNCharacterStream(int aParameterIndex, java.io.Reader aValue)`
`void` `setNCharacterStream(int aParameterIndex, java.io.Reader aValue, long aLength)`
`void` `setNClob(int aParameterIndex, java.sql.NClob aValue)`
`void` `setNClob(int aParameterIndex, java.io.Reader aReader)`
`void` `setNClob(int aParameterIndex, java.io.Reader aReader, long aLength)`
`void` `setNString(int aParameterIndex, java.lang.String aValue)`
`void` `setObject(int aParamIndex, java.lang.Object aValue)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, int aTargetSqlType, int aScale)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType)`
`void` `setObject(int aParameterIndex, java.lang.Object aValue, java.sql.SQLType aTargetSqlType, int aScaleOrLength)`
`void` `setRef(int i, java.sql.Ref aValue)`
`void` `setRowId(int aParameterIndex, java.sql.RowId aRowId)`
`void` `setSQLXML(int aParameterIndex, java.sql.SQLXML aXmlObject)`
`void` `setUnicodeStream(int aParameterIndex, java.io.InputStream aValue, int aLength)`
`void` `setURL(int aParameterIndex, java.net.URL aValue)`

### Methods inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`addBatch, addBatch, addMetaColumnInfo, clearBatch, clearParameters, closeAllPrevResultSet, closeAllResultSet, closeCurrentResultSet, createProtocolContext, execute, execute, execute, execute, execute, executeBatch, executeBatchInternal, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getAtomicBatch, getColumn, getColumn, getColumnForInType, getColumnForInType, getDefaultPrecisionForDeferred, getExecuteResultMgrFirstUpdatedCnt, getLobUpdator, getMetaData, getParameterMetaData, getProtocolContext, getResultSet, getStmtId, incCurrentResultSetIndex, prepare, setAsciiStream, setAsciiStream, setAsciiStream, setAtomicBatch, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, toString`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, checkAutoGeneratedKeys, clearAllResults, clearForGeneratedKeys, clearWarnings, close, closeOnCompletion, createInternalStatement, cursorhasNoData, downgradeFetchSize, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getID, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMetaConn, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isClosed, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, isPrepared, isWrapperFor, makeQstrForGeneratedKeys, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setMetaConnection, setPoolable, setPrepareResult, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### Altibase42PreparedStatement

    public Altibase42PreparedStatement(AltibaseConnection aConnection,
                                       java.lang.String aSql,
                                       int aResultSetType,
                                       int aResultSetConcurrency,
                                       int aResultSetHoldability)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### executeLargeUpdate

    public long executeLargeUpdate()
                            throws java.sql.SQLException

Specified by:
  `executeLargeUpdate` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### executeLargeBatch

    public long[] executeLargeBatch()
                             throws java.sql.SQLException

Specified by:
  `executeLargeBatch` in interface `java.sql.Statement`
Overrides:
  `executeLargeBatch` in class `AltibaseStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParamIndex,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNString

    public void setNString(int aParameterIndex,
                           java.lang.String aValue)
                    throws java.sql.SQLException

Specified by:
  `setNString` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.io.Reader aReader)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setClob

    public void setClob(int aParameterIndex,
                        java.io.Reader aReader,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.io.InputStream aInputStream)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setBlob

    public void setBlob(int aParameterIndex,
                        java.io.InputStream aInputStream,
                        long aLength)
                 throws java.sql.SQLException

Specified by:
  `setBlob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          int aTargetSqlType,
                          int aScale)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Overrides:
  `setObject` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(int aParameterIndex,
                          java.lang.Object aValue,
                          java.sql.SQLType aTargetSqlType,
                          int aScaleOrLength)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int aParameterIndex,
                                    java.io.Reader aValue)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int aParameterIndex,
                                    java.io.Reader aValue,
                                    long aLength)
                             throws java.sql.SQLException

Specified by:
  `setNCharacterStream` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int aParameterIndex,
                         java.io.Reader aReader)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int aParameterIndex,
                         java.sql.NClob aValue)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setNClob

    public void setNClob(int aParameterIndex,
                         java.io.Reader aReader,
                         long aLength)
                  throws java.sql.SQLException

Specified by:
  `setNClob` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setRowId

    public void setRowId(int aParameterIndex,
                         java.sql.RowId aRowId)
                  throws java.sql.SQLException

Specified by:
  `setRowId` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setSQLXML

    public void setSQLXML(int aParameterIndex,
                          java.sql.SQLXML aXmlObject)
                   throws java.sql.SQLException

Specified by:
  `setSQLXML` in interface `java.sql.PreparedStatement`
Throws:
  `java.sql.SQLException`

#### setArray

    public void setArray(int aParameterIndex,
                         java.sql.Array aValue)
                  throws java.sql.SQLException

Specified by:
  `setArray` in interface `java.sql.PreparedStatement`
Overrides:
  `setArray` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setRef

    public void setRef(int i,
                       java.sql.Ref aValue)
                throws java.sql.SQLException

Specified by:
  `setRef` in interface `java.sql.PreparedStatement`
Overrides:
  `setRef` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setURL

    public void setURL(int aParameterIndex,
                       java.net.URL aValue)
                throws java.sql.SQLException

Specified by:
  `setURL` in interface `java.sql.PreparedStatement`
Overrides:
  `setURL` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`

#### setUnicodeStream

    public void setUnicodeStream(int aParameterIndex,
                                 java.io.InputStream aValue,
                                 int aLength)
                          throws java.sql.SQLException

Specified by:
  `setUnicodeStream` in interface `java.sql.PreparedStatement`
Overrides:
  `setUnicodeStream` in class `AltibasePreparedStatement`
Throws:
  `java.sql.SQLException`